package com.cf.imes.module.manage.util.packageNo;


import java.time.LocalDateTime;
import java.util.Random;

/**
 * 生成包裹编号 工具类
 *
 * @author 晨丰科技
 */
public class PackageNoUtil {


    public static String randomPageNo(){

        // 获取当前日期
        String DateNum = LocalDateTime.now().toLocalDate().toString().replace("-", "");

        // 获取当前时间戳并使用Random类生成随机数
        int randomInt = new Random(System.currentTimeMillis()).nextInt(900000) + 100000; // 生成100000到999999之间的随机数


        return DateNum+randomInt;
    }

}
